package cc.smtweb.system.bpm.web.sys.oneTimeService;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2022-09-13 09:31:42
 * 实体【[系统一次性任务](SYS_ONETIME_TASK)】的Entity类
 */
@SwTable("SYS_ONETIME_TASK")
public class OnetimeTask extends DefaultEntity {
    public static final String ENTITY_NAME = "SYS_ONETIME_TASK";

    public OnetimeTask() {
        super(ENTITY_NAME);
    }

    /**
     * 主键
     */
    public long getId() {
        return getLong("sot_id");
    }

    /**
     * 主键
     */
    public void setId(long sot_id) {
        put("sot_id", sot_id);
    }

    /**
     * 编码
     */
    public String getCode() {
        return getStr("sot_code");
    }

    /**
     * 编码
     */
    public void setCode(String sot_code) {
        put("sot_code", sot_code);
    }

    /**
     * 名称
     */
    public String getName() {
        return getStr("sot_name");
    }

    /**
     * 名称
     */
    public void setName(String sot_name) {
        put("sot_name", sot_name);
    }

    /**
     * 业务id
     */
    public long getBizId() {
        return getLong("sot_biz_id");
    }

    /**
     * 业务id
     */
    public void setBizId(long sot_biz_id) {
        put("sot_biz_id", sot_biz_id);
    }

    /**
     * 任务类别
     */
    public String getType() {
        return getStr("sot_type");
    }

    /**
     * 任务类别
     */
    public void setType(String sot_type) {
        put("sot_type", sot_type);
    }

    /**
     * 输入参数
     */
    public String getInparams() {
        return getStr("sot_inparams");
    }

    /**
     * 输入参数
     */
    public void setInparams(String sot_inparams) {
        put("sot_inparams", sot_inparams);
    }

    /**
     * 任务状态
     */
    public int getStatu() {
        return getInt("sot_statu");
    }

    /**
     * 任务状态
     */
    public void setStatu(int sot_statu) {
        put("sot_statu", sot_statu);
    }

    /**
     * 执行进度
     */
    public int getProcess() {
        return getInt("sot_process");
    }

    /**
     * 执行进度
     */
    public void setProcess(int sot_process) {
        put("sot_process", sot_process);
    }

    /**
     * 执行返回
     */
    public String getInfo() {
        return getStr("sot_info");
    }

    /**
     * 执行返回
     */
    public void setInfo(String sot_info) {
        put("sot_info", sot_info);
    }

    /**
     * 开始时间
     */
    public long getBeginTime() {
        return getLong("sot_begin_time");
    }

    /**
     * 开始时间
     */
    public void setBeginTime(long sot_begin_time) {
        put("sot_begin_time", sot_begin_time);
    }

    /**
     * 结束时间
     */
    public long getEndTime() {
        return getLong("sot_end_time");
    }

    /**
     * 结束时间
     */
    public void setEndTime(long sot_end_time) {
        put("sot_end_time", sot_end_time);
    }

    /**
     * 执行机器
     */
    public int getRunServer() {
        return getInt("sot_run_server");
    }

    /**
     * 执行机器
     */
    public void setRunServer(int sot_run_server) {
        put("sot_run_server", sot_run_server);
    }

    /**
     * 任务发布者
     */
    public long getCreateUserId() {
        return getLong("sot_create_user_id");
    }

    /**
     * 任务发布者
     */
    public void setCreateUserId(long sot_create_user_id) {
        put("sot_create_user_id", sot_create_user_id);
    }

    /**
     * 任务发布时间
     */
    public long getCreateTime() {
        return getLong("sot_create_time");
    }

    /**
     * 任务发布时间
     */
    public void setCreateTime(long sot_create_time) {
        put("sot_create_time", sot_create_time);
    }

    /**
     * 备注
     */
    public String getRemark() {
        return getStr("sot_remark");
    }

    /**
     * 备注
     */
    public void setRemark(String sot_remark) {
        put("sot_remark", sot_remark);
    }
}
